Package org.apache.catalina.startup

## Class ListenerCreateRule

- java.lang.Object
- - org.apache.tomcat.util.digester.Rule
  - - org.apache.tomcat.util.digester.ObjectCreateRule
    - - org.apache.catalina.startup.ListenerCreateRule

    public class ListenerCreateRule
    extends ObjectCreateRule

Rule implementation that creates a server listener.

### Nested Class Summary

Nested Classes
`static class` `ListenerCreateRule.OptionalListener`

### Field Summary

Fields
`protected static StringManager` `sm`

### Fields inherited from class org.apache.tomcat.util.digester.ObjectCreateRule

`attributeName, className`

### Fields inherited from class org.apache.tomcat.util.digester.Rule

`digester, namespaceURI`

### Constructor Summary

Constructors
`ListenerCreateRule​(java.lang.String className, java.lang.String attributeName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `begin​(java.lang.String namespace, java.lang.String name, org.xml.sax.Attributes attributes)` Process the beginning of this element.

### Methods inherited from class org.apache.tomcat.util.digester.ObjectCreateRule

`end, getRealClassName, toString`

### Methods inherited from class org.apache.tomcat.util.digester.Rule

`body, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sm

    protected static final StringManager sm

### Constructor Detail

#### ListenerCreateRule

    public ListenerCreateRule​(java.lang.String className,
                              java.lang.String attributeName)

### Method Detail

#### begin

    public void begin​(java.lang.String namespace,
                      java.lang.String name,
                      org.xml.sax.Attributes attributes)
               throws java.lang.Exception

Description copied from class: `ObjectCreateRule`
Process the beginning of this element.

Overrides:
  `begin` in class `ObjectCreateRule`
Parameters:
  `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
  `name` - the local name if the parser is namespace aware, or just the element name otherwise
  `attributes` - The attribute list for this element
Throws:
  `java.lang.Exception` - if an error occurs while processing the event